"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
require("clsx");
const Box = require("../../../core/Box/Box.cjs");
const Thumb = React.forwardRef(({ position, ...others }, ref) => /* @__PURE__ */ jsxRuntime.jsx(
  Box.Box,
  {
    ref,
    __vars: {
      "--thumb-y-offset": `${position.y * 100}%`,
      "--thumb-x-offset": `${position.x * 100}%`
    },
    ...others
  }
));
Thumb.displayName = "@mantine/core/ColorPickerThumb";
exports.Thumb = Thumb;
